%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qtvirtualkeyboard
Version:       6.9.0
Release:       1mamba
Summary:       Qt6 virtual keyboard component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/6.9/%{version}/submodules/qtvirtualkeyboard-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6OpenGL
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libhunspell-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxkbcommon-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtmultimedia-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Qt6 virtual keyboard component.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q -n qtvirtualkeyboard-everywhere-src-%{version}

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libQt6HunspellInputMethod.so.*
%{_libdir}/libQt6VirtualKeyboard.so.*
%{_libdir}/libQt6VirtualKeyboardQml.so.*
%{_libdir}/libQt6VirtualKeyboardSettings.so.*
%{_qt6_archdatadir}/modules/HunspellInputMethod.json
%{_qt6_archdatadir}/modules/VirtualKeyboard.json
%{_qt6_archdatadir}/modules/VirtualKeyboardQml.json
%{_qt6_archdatadir}/modules/VirtualKeyboardSettings.json
%{_qt6_plugindir}/platforminputcontexts/libqtvirtualkeyboardplugin.so
%dir %{_qt6_qmldir}/QtQuick/VirtualKeyboard
%{_qt6_qmldir}/QtQuick/VirtualKeyboard/*
%{_qt6_archdatadir}/sbom/qtvirtualkeyboard-6.9.0.spdx
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_qt6_headerdir}/QtHunspellInputMethod
%{_qt6_headerdir}/QtHunspellInputMethod/*
%dir %{_qt6_headerdir}/QtVirtualKeyboard
%{_qt6_headerdir}/QtVirtualKeyboard/*
%dir %{_qt6_headerdir}/QtVirtualKeyboardQml
%{_qt6_headerdir}/QtVirtualKeyboardQml/*
%dir %{_qt6_headerdir}/QtVirtualKeyboardSettings
%{_qt6_headerdir}/QtVirtualKeyboardSettings/*
%{_libdir}/libQt6HunspellInputMethod.prl
%{_libdir}/libQt6HunspellInputMethod.so
%{_libdir}/libQt6VirtualKeyboard.prl
%{_libdir}/libQt6VirtualKeyboard.so
%{_libdir}/libQt6VirtualKeyboardQml.prl
%{_libdir}/libQt6VirtualKeyboardQml.so
%{_libdir}/libQt6VirtualKeyboardSettings.prl
%{_libdir}/libQt6VirtualKeyboardSettings.so
%{_qt6_archdatadir}/metatypes/qt6hunspellinputmethod_release_metatypes.json
%{_qt6_archdatadir}/metatypes/qt6virtualkeyboard_release_metatypes.json
%{_qt6_archdatadir}/metatypes/qt6virtualkeyboardqml_release_metatypes.json
%{_qt6_archdatadir}/metatypes/qt6virtualkeyboardsettings_release_metatypes.json
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_*.pri
%{_libdir}/cmake/Qt6/Find*.cmake
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtVirtualKeyboardTestsConfig.cmake
%{_libdir}/cmake/Qt6BundledOpenwnn/Qt6BundledOpenwnnDependencies.cmake
%{_libdir}/cmake/Qt6BundledPinyin/Qt6BundledPinyinDependencies.cmake
%{_libdir}/cmake/Qt6BundledTcime/Qt6BundledTcimeDependencies.cmake
%{_libdir}/cmake/Qt6Gui/Qt6QVirtualKeyboardPlugin*.cmake
%dir %{_libdir}/cmake/Qt6HunspellInputMethod
%{_libdir}/cmake/Qt6HunspellInputMethod/Qt6HunspellInputMethod*.cmake
%dir %{_libdir}/cmake/Qt6HunspellInputMethodPrivate
%{_libdir}/cmake/Qt6HunspellInputMethodPrivate/Qt6HunspellInputMethodPrivate*.cmake
%dir %{_libdir}/cmake/Qt6Qml/QmlPlugins
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6VirtualKeyboardplugin*.cmake
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6qtvkb*.cmake
%dir %{_libdir}/cmake/Qt6VirtualKeyboard
%{_libdir}/cmake/Qt6VirtualKeyboard/Qt6VirtualKeyboard*.cmake
%dir %{_libdir}/cmake/Qt6VirtualKeyboardPrivate
%{_libdir}/cmake/Qt6VirtualKeyboardPrivate/Qt6VirtualKeyboardPrivate*.cmake
%dir %{_libdir}/cmake/Qt6VirtualKeyboardQml
%{_libdir}/cmake/Qt6VirtualKeyboardQml/Qt6VirtualKeyboardQml*.cmake
%dir %{_libdir}/cmake/Qt6VirtualKeyboardQmlPrivate
%{_libdir}/cmake/Qt6VirtualKeyboardQmlPrivate/Qt6VirtualKeyboardQml*.cmake
%dir %{_libdir}/cmake/Qt6VirtualKeyboardSettings
%{_libdir}/cmake/Qt6VirtualKeyboardSettings/Qt6VirtualKeyboard*.cmake
%dir %{_libdir}/cmake/Qt6VirtualKeyboardSettingsPrivate
%{_libdir}/cmake/Qt6VirtualKeyboardSettingsPrivate/Qt6VirtualKeyboardSettingsPrivate*.cmake
%{_libdir}/pkgconfig/Qt6HunspellInputMethod.pc
%{_libdir}/pkgconfig/Qt6VirtualKeyboard.pc
%{_libdir}/pkgconfig/Qt6VirtualKeyboardQml.pc
%{_libdir}/pkgconfig/Qt6VirtualKeyboardSettings.pc
%doc README.md

%changelog
* Fri Apr 11 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 6.9.0-1mamba
- package created using the webbuild interface
